package tutorial.core.repositories;

import java.util.List;
import tutorial.core.models.entities.ActiveIngredient;

/**
 * 
 * @author Xavier
 */
public interface ActiveIngredientRepo {
    /**
     * 
     * @param data
     * @return 
     */
    public ActiveIngredient createActiveIngredient(ActiveIngredient data);
    
    /**
     * 
     * @return 
     */
    public List<ActiveIngredient> findAllActiveIngredients();
    
    /**
     * 
     * @param id
     * @return 
     */
    public ActiveIngredient findActiveIngredient(Long id);
    
    /**
     * 
     * @param name
     * @return 
     */
    public ActiveIngredient findActiveIngredientByName(String name);
    //public List<ActiveIngredient> findActiveIngredientByAccount(Long accountId);

    /**
     * 
     */
    public void deleteAllActiveIngredients();
}
